#include <stdio.h>
#include <stdlib.h>

typedef struct Radek {
    char znaky[200];
}Radek;
Radek radky[100];
Radek radky2[100];


int main()
{
    int n, i, j;
    char c;

    while(scanf("%d\n",&n) == 1) {
        for(i = 0; i < n; i++) {
            fgets(stdin,200,radky[i].znaky);
        }
        scanf("%c",&c);
        while(c != '\n') {
            if(c == '<') {
                otocDoleva(n);
            }
            if(c == '>') {
                otocDoprava(n);
            }
            if(c == '-') {
                horizont(n);
            }
            if(c == '|') {
                vertikal(n);
            }
            if(c == '\\') {
                hlavni(n);
            }
            if(c == '/') {
                vedlejsi(n);
            }
            scanf(" %c",&c);
        }
        for(i = 0; i < n; i++) {
            for(j = 0; j < n; j++) {
                printf("%c",radky[i].znaky[j]);
            }
            printf("\n");
        }
    }
    return 0;
}

void otocDoleva(int n) {
    int i, j;
    for(i = 0; i < n; i++) {
        for(j = 0; j < n; j++) {
            radky2[i].znaky[j] = radky[n - j].znaky[i];
            if(radky2[i].znaky[j] == '<') {
                radky2[i].znaky[j] = 'v';
            }
            else if(radky2[i].znaky[j] == '>') {
                radky2[i].znaky[j] = '^';
            }
            else if(radky2[i].znaky[j] == '^') {
                radky2[i].znaky[j] = '<';
            }
            else if(radky2[i].znaky[j] == 'v') {
                radky2[i].znaky[j] = '>';
            }
            else if(radky2[i].znaky[j] == 'o') {
                radky2[i].znaky[j] = 'o';
            }
            else if(radky2[i].znaky[j] == 'x') {
                radky2[i].znaky[j] = 'x';
            }
            else if(radky2[i].znaky[j] == '|') {
                radky2[i].znaky[j] = '-';
            }
            else if(radky2[i].znaky[j] == '-') {
                radky2[i].znaky[j] = '|';
            }
            else if(radky2[i].znaky[j] == '/') {
                radky2[i].znaky[j] = '\\';
            }
            else if(radky2[i].znaky[j] == '\\') {
                radky2[i].znaky[j] = '/';
            }
        }
    }
    for(i = 0; i < n; i++) {
        for(j = 0; j < n; j++) {
            radky[i].znaky[j] = radky2[i].znaky[j];

        }
    }
}
void otocDoprava(int n) {
    int i, j;
    for(i = 0; i < n; i++) {
        for(j = 0; j < n; j++) {
            radky2[i].znaky[j] = radky[j].znaky[n -i];
            if(radky2[i].znaky[j] == '<') {
                radky2[i].znaky[j] = '^';
            }
            else if(radky2[i].znaky[j] == '>') {
                radky2[i].znaky[j] = 'v';
            }
            else if(radky2[i].znaky[j] == '^') {
                radky2[i].znaky[j] = '>';
            }
            else if(radky2[i].znaky[j] == 'v') {
                radky2[i].znaky[j] = '<';
            }
            else if(radky2[i].znaky[j] == 'o') {
                radky2[i].znaky[j] = 'o';
            }
            else if(radky2[i].znaky[j] == 'x') {
                radky2[i].znaky[j] = 'x';
            }
            else if(radky2[i].znaky[j] == '|') {
                radky2[i].znaky[j] = '-';
            }
            else if(radky2[i].znaky[j] == '-') {
                radky2[i].znaky[j] = '|';
            }
            else if(radky2[i].znaky[j] == '/') {
                radky2[i].znaky[j] = '\\';
            }
            else if(radky2[i].znaky[j] == '\\') {
                radky2[i].znaky[j] = '/';
            }
        }
    }
    for(i = 0; i < n; i++) {
        for(j = 0; j < n; j++) {
            radky[i].znaky[j] = radky2[i].znaky[j];

        }
    }
}
void horizont(int n) {
    int i, j;
    for(i = 0; i < n; i++) {
        for(j = 0; j < n; j++) {
            radky2[i].znaky[j] = radky[n - i].znaky[j];
            if(radky2[i].znaky[j] == '<') {
                radky2[i].znaky[j] = '<';
            }
            else if(radky2[i].znaky[j] == '>') {
                radky2[i].znaky[j] = '>';
            }
            else if(radky2[i].znaky[j] == '^') {
                radky2[i].znaky[j] = 'v';
            }
            else if(radky2[i].znaky[j] == 'v') {
                radky2[i].znaky[j] = '^';
            }
            else if(radky2[i].znaky[j] == 'o') {
                radky2[i].znaky[j] = 'o';
            }
            else if(radky2[i].znaky[j] == 'x') {
                radky2[i].znaky[j] = 'x';
            }
            else if(radky2[i].znaky[j] == '|') {
                radky2[i].znaky[j] = '|';
            }
            else if(radky2[i].znaky[j] == '-') {
                radky2[i].znaky[j] = '-';
            }
            else if(radky2[i].znaky[j] == '/') {
                radky2[i].znaky[j] = '\\';
            }
            else if(radky2[i].znaky[j] == '\\') {
                radky2[i].znaky[j] = '/';
            }
        }
    }
    for(i = 0; i < n; i++) {
        for(j = 0; j < n; j++) {
            radky[i].znaky[j] = radky2[i].znaky[j];

        }
    }
}

void vertikal(int n) {
    int i, j;
    for(i = 0; i < n; i++) {
        for(j = 0; j < n; j++) {
            radky2[i].znaky[j] = radky[i].znaky[n - j];
            if(radky2[i].znaky[j] == '<') {
                radky2[i].znaky[j] = '>';
            }
            else if(radky2[i].znaky[j] == '>') {
                radky2[i].znaky[j] = '<';
            }
            else if(radky2[i].znaky[j] == '^') {
                radky2[i].znaky[j] = '^';
            }
            else if(radky2[i].znaky[j] == 'v') {
                radky2[i].znaky[j] = 'v';
            }
            else if(radky2[i].znaky[j] == 'o') {
                radky2[i].znaky[j] = 'o';
            }
            else if(radky2[i].znaky[j] == 'x') {
                radky2[i].znaky[j] = 'x';
            }
            else if(radky2[i].znaky[j] == '|') {
                radky2[i].znaky[j] = '|';
            }
            else if(radky2[i].znaky[j] == '-') {
                radky2[i].znaky[j] = '-';
            }
            else if(radky2[i].znaky[j] == '/') {
                radky2[i].znaky[j] = '\\';
            }
            else if(radky2[i].znaky[j] == '\\') {
                radky2[i].znaky[j] = '/';
            }
        }
    }
    for(i = 0; i < n; i++) {
        for(j = 0; j < n; j++) {
            radky[i].znaky[j] = radky2[i].znaky[j];

        }
    }
}
void hlavni(int n) {
    int i, j;
    for(i = 0; i < n; i++) {
        for(j = 0; j < n; j++) {
            radky2[i].znaky[j] = radky[j].znaky[i];
            if(radky2[i].znaky[j] == '<') {
                radky2[i].znaky[j] = '^';
            }
            else if(radky2[i].znaky[j] == '>') {
                radky2[i].znaky[j] = 'v';
            }
            else if(radky2[i].znaky[j] == '^') {
                radky2[i].znaky[j] = '<';
            }
            else if(radky2[i].znaky[j] == 'v') {
                radky2[i].znaky[j] = '>';
            }
            else if(radky2[i].znaky[j] == 'o') {
                radky2[i].znaky[j] = 'o';
            }
            else if(radky2[i].znaky[j] == 'x') {
                radky2[i].znaky[j] = 'x';
            }
            else if(radky2[i].znaky[j] == '|') {
                radky2[i].znaky[j] = '-';
            }
            else if(radky2[i].znaky[j] == '-') {
                radky2[i].znaky[j] = '|';
            }
            else if(radky2[i].znaky[j] == '/') {
                radky2[i].znaky[j] = '/';
            }
            else if(radky2[i].znaky[j] == '\\') {
                radky2[i].znaky[j] = '\\';
            }
        }
    }
    for(i = 0; i < n; i++) {
        for(j = 0; j < n; j++) {
            radky[i].znaky[j] = radky2[i].znaky[j];

        }
    }
}
void vedlejsi(int n) {
    int i, j;
    for(i = 0; i < n; i++) {
        for(j = 0; j < n; j++) {
            radky2[i].znaky[j] = radky[n - j].znaky[n - i];
            if(radky2[i].znaky[j] == '<') {
                radky2[i].znaky[j] = 'v';
            }
            else if(radky2[i].znaky[j] == '>') {
                radky2[i].znaky[j] = '^';
            }
            else if(radky2[i].znaky[j] == '^') {
                radky2[i].znaky[j] = '>';
            }
            else if(radky2[i].znaky[j] == 'v') {
                radky2[i].znaky[j] = '<';
            }
            else if(radky2[i].znaky[j] == 'o') {
                radky2[i].znaky[j] = 'o';
            }
            else if(radky2[i].znaky[j] == 'x') {
                radky2[i].znaky[j] = 'x';
            }
            else if(radky2[i].znaky[j] == '|') {
                radky2[i].znaky[j] = '-';
            }
            else if(radky2[i].znaky[j] == '-') {
                radky2[i].znaky[j] = '|';
            }
            else if(radky2[i].znaky[j] == '/') {
                radky2[i].znaky[j] = '/';
            }
            else if(radky2[i].znaky[j] == '\\') {
                radky2[i].znaky[j] = '\\';
            }
        }
    }
    for(i = 0; i < n; i++) {
        for(j = 0; j < n; j++) {
            radky[i].znaky[j] = radky2[i].znaky[j];

        }
    }
}
